default:
    image: google/cloud-sdk:alpine
    before_script:
        - gcloud config set project springboot-cloudrun-deva
        - gcloud auth activate-service-account --key-file $GCP_SERVICE_CREDS

build:
    stage: build
    script:
        - gcloud builds submit --tag gcr.io/springboot-cloudrun-deva/livespringapp

deploy:
    stage: deploy
    script:
        - gcloud run deploy live-spring-app-deva --image=gcr.io/springboot-cloudrun-deva/livespringapp:latest --platform managed --region asia-southeast2 --allow-unauthenticated